[supervisord]
nodaemon=true
logfile=/pulsar-manager/supervisord.log
pidfile=/pulsar-manager/supervisord.pid

[program:pulsar-manager-frontend]
command=/usr/sbin/nginx -g "daemon off;"
autostart=true
autorestart=true
stderr_logfile=/tmp/pulsar-manager-frontend-stderr---supervisor-%(host_node_name)s.log
stdout_logfile=/tmp/pulsar-manager-frontend-stdout---supervisor-%(host_node_name)s.log

[program:pulsar-manager-backend]
command=/pulsar-manager/pulsar-manager/bin/pulsar-manager --redirect.host=%(ENV_REDIRECT_HOST)s --redirect.port=%(ENV_REDIRECT_PORT)s --spring.datasource.driver-class-name=%(ENV_DRIVER_CLASS_NAME)s --spring.datasource.url=%(ENV_URL)s --spring.datasource.initialization-mode=never --logging.level.org.apache=%(ENV_LOG_LEVEL)s
autostart=true
autorestart=true
stderr_logfile=/tmp/pulsar-manager-backend-stderr---supervisor-%(host_node_name)s.log
stdout_logfile=/tmp/pulsar-manager-backend-stdout---supervisor-%(host_node_name)s.log
